<?php

namespace GiveMollie\LegacyListeners;

/**
 * @since 2.0.0
 */
class DispatchGiveMolliePaymentDescription
{
    /**
     * @since 2.0.0
     */
    public function __invoke(string $payment_description)
    {
        if ( ! has_filter('give_mollie_payment_description')) {
            return $payment_description;
        }

        /**
         *  Give Payment description
         *
         * @since      1.0
         *
         * @param string $payment_description Payment description.
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_payment_description" filter.
         */
        return apply_filters('give_mollie_payment_description', $payment_description);
    }
}
