<?php

namespace GiveMollie\LegacyListeners;

/**
 * @since 2.0.0
 */
class DispatchGiveMollieRedirectUrl
{
    /**
     * @since 2.0.0
     */
    public function __invoke($success_redirect, $donation_id)
    {
        if ( ! has_filter('give_mollie_redirect_url')) {
            return $success_redirect;
        }

        /**
         * Filter the redirection URL.
         *
         * @since      1.0
         *
         * @param $success_redirect
         * @param $donation_id
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_success_return_url" filter.
         */
        return apply_filters('give_mollie_redirect_url', $success_redirect, $donation_id);
    }
}
